﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Default.Master" AutoEventWireup="true" CodeBehind="Account.aspx.cs" Inherits="WebApplication.Account" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <table class="register">
        <tbody>
            <tr>
                <th>Login Name :</th>
                <td>
                    <asp:TextBox ID="TxtEmail" runat="server" Width="300" /></td>
            </tr>
            <tr>
                <th>Password : </th>
                <td>
                    <asp:TextBox ID="TxtPassword" runat="server" Width="300" TextMode="Password" /></td>
            </tr>
            <tr>
                <th>Email Notification : </th>
                <td>
                    <asp:TextBox ID="TxtNotificationEmail" runat="server" Width="300" /></td>
            </tr>
            <tr>
                <td></td>
                <td>
                    <asp:Button ID="BtnUpdate" runat="server" Text="Update" CssClass="btn btn-primary btn-lg" OnClick="BtnUpdate_Click" />
                    <asp:Button ID="BtnLogOut" runat="server" Text="Log Out" CssClass="btn btn-primary btn-lg" OnClick="BtnLogOut_Click" />
                </td>
            </tr>
        </tbody>
    </table>
    <br />
    <br />
    <table class="table">
        <tr>
            <td colspan="11" style="text-align: right">
                <asp:Button ID="BtnExport" runat="server" Text="Export Data" CssClass="btn btn-primary btn-lg" OnClick="BtnExport_Click" /></td>
        </tr>
        <tr class="header">
            <th>Full Name</th>
            <th>Phone Number</th>
            <th>Email Address</th>
            <th style="width:250px">Full Address</th>
            <th>Citizenship</th>
            <th>College/University</th>
            <%--<th>Skills</th>
            <th>Export Regulation</th>
            <th>Image</th>--%>
            <th>Participaint Details</th>
            <td></td>
        </tr>
        <asp:Repeater ID="RptUserDetails" runat="server" OnItemCommand="RptUserDetails_ItemCommand">
            <ItemTemplate>
                <tr>
                    <td><%#Eval("FirstName") %> <%#Eval("LastName") %></td>
                    <td><%#Eval("PhoneNumber") %></td>
                    <td><%#Eval("EmailAddress") %></td>
                    <td><%#Eval("Address") %>
                        <br />
                        <%#Eval("City") %>
                        <br />
                        <%#Eval("State") %>
                        <br />
                        <%#Eval("ZIP") %>
                    </td>
                    <td><%#Eval("CountryCitizenship") %></td>
                    <td><%#Eval("CollegeUniversity") %></td>
                    <%--<td><%#Eval("IsSkills") %></td>
                    <td><%#Eval("IsGovernmentExportRegulation") %></td>
                    <td><%#Eval("IsImageRelease") %></td>--%>
                    <td><%#Eval("Participate1FirstName") %> <%#Eval("Participate1LastName") %>
                        <br />
                        <br />
                        <%#Eval("Participate2FirstName") %> <%#Eval("Participate2LastName") %>
                    </td>
                    <td>
                        <asp:LinkButton ID="LbtDelete" CommandName="DeleteUser"
                            CommandArgument='<%#Eval("UserId") %>'
                            OnClientClick="javascript:return confirm('Do you want to delete this record?');"
                            runat="server">Delete</asp:LinkButton></td>
                </tr>
            </ItemTemplate>
        </asp:Repeater>
    </table>
</asp:Content>
