﻿using System;
using System.Configuration;
using System.Data;
using System.Data.SqlClient;
using System.Web.Security;

namespace WebApplication
{
    public partial class Login : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
        }

        protected void BtnLogin_Click(object sender, EventArgs e)
        {
            try
            {
                String EmailAddress = TxtEmail.Text.Trim();
                String PhoneNumber = TxtPassword.Text.Trim();

                using (SqlConnection con = new SqlConnection(ConfigurationManager.ConnectionStrings["DBConnectionString"].ConnectionString))
                {
                    using (SqlCommand command = new SqlCommand("USP_LoginDetails_Login", con))
                    {
                        if (con.State == ConnectionState.Closed)
                            con.Open();

                        command.CommandType = CommandType.StoredProcedure;
                        command.Parameters.AddWithValue("@LoginName", EmailAddress);
                        command.Parameters.AddWithValue("@LoginPassword", PhoneNumber);

                        String LoginID = Convert.ToString(command.ExecuteScalar());

                        if (String.IsNullOrEmpty(LoginID))
                        {
                            message.InnerHtml = "Not a valid credentials";
                            return;
                        }

                        FormsAuthentication.SetAuthCookie(LoginID, true);

                        Response.Redirect("~/Account.aspx", false);
                    }
                }
            }
            catch (Exception ex)
            {
            }
        }
    }
}