﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Default.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="WebApplication.Default" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">

    <blockquote>
        <p><span id="docs-internal-guid-797c330e-96a3-db64-cdad-0c2155a22de7">Welcome to the Juniper Networks – Telus SDN Workshop and Competition registration site. You will use this site to qualify and formally sign-up for the program. </span>All (3) of the participating university team members must individually register in order for your team to qualify. Participation in this exciting program is limited to 8 teams, so please register early. REGISTRATION FOR THE EVENT CLOSES ON JULY 10th (or earlier as we have our max number of teams). </p>
        <p>The first portion of the event (workshop lectures, training, and competition prep) will be held for 2 days (Tuesday and <span __postbox-detected-content="__postbox-detected-date">Wednesday, July 21st</span> and <span __postbox-detected-content="__postbox-detected-date">22nd)</span> <strong>at Telus House (25 York Street) in downtown Toronto.</strong> All team   members must be present at the facility on these 2 days. Your team will   then work at the facility or remotely - at your school or elsewhere of   your team’s choosing - to build the solution   against the defined problem statement which will be presented to you on   the second day of the Workshop. Teams will return to the designated <span __postbox-detected-content="__postbox-detected-date">location on Tuesday, July 28th</span> to present and demo their developed solutions to a panel of judges.<br>
            <br>
            <strong><a name="Agenda"></a>In summary, the entire  program agenda will be:</strong>
      </p>
    <p><span style="font-size: 14px; color: #069;"><strong>Day 1, Tuesday, July 21st (Telus House, 25 York Street)</strong></span></p>
      <ul>
          <li>Program Review, SDN Technology/Market Overviews, Innovation/Entrepreneurship, Laptop Software Preparation</li>
        </ul>
        <span style="font-size: 14px; color: #069;"><strong>Day 2, Wednesday, July 22nd (Telus House, 25 York Street) </strong></span>
        <ul>
          <li>Platform Training, Problem Statement Review, Best Practices for Pitches, Lab Access Instructions, Judging Criteria, General Q and A</li>
        </ul>
        <span style="font-size: 14px; color: #069;"><strong>Days 3 thru 7, July 23rd through July 27th (Off-premises) </strong></span>
        <ul>
          <li>Student Teams build their application and supporting presentation/demo</li>
    </ul>
        <span style="font-size: 14px; color: #069;"><strong>Day 8, Tuesday, July 28th (Telus House, 25 York Street) </strong></span>
        <ul>
          <li>Student Presentations/Demonstrations, Awards and Closing</li>
        </ul>
        <p>Note that your team only needs to be at the Toronto site on July 21st, 22nd, and 28th.</p>
        <p>          During the program, students will learn about SDN technology and gain valuable insights into the market opportunity and how SDN will impact network architectures, services and operations. Students will build an application using a Juniper SDN Controller to address a real-world networking challenge as defined by Telus. Students will utilize technical skills in networking and programming as well as their collaboration and presentation skills in competing against the other teams.  </p>
<p><a name="Prerequisites"></a>As also outlined in the published school Flyer, student participants must possess certain pre-requisite skills/knowledge and background course work in order to join the program and effectively learn and compete. These include: </p>
     
        <ul>
          <li>Experience with Python and/or REST APIs programming</li>
            <li>Small project experience </li>
            <li>Strong understanding of networking solutions,&nbsp;devices, protocols and services</li>
            <li>Familiarity with Cloud Computing/Services, Virtualization and Orchestration Systems (e.g. OpenStack)</li>
      </ul>
      <p><strong>Prizes will be awarded to the top 3 finishing teams in the event. Student teams will be evaluated against various criteria by a panel of Juniper, Telus and 3rd party judges.  There may also be a prize for the winning university. </strong></p>
      <p>        Student teams will receive a confirmation on their registration as they are completed. Student teams will be sent a more detailed confirmation note with additional program logistics the week prior to the start of the event. </p>
      <p>Please take your time as you complete the registration below, and make sure that you answer every question, and include ALL information required. At the end of the registration, you will be required to include credit card information which will be used for a $50 no-show fee. That fee is NOT CHARGED if you complete the entire Workshop and Competition.  </p>
      <p>If you have any questions, or need any additional information, please refer to the school contact name at the bottom of the Flyer you may have received or contact our project manager, Charlie Katz, at <a href="mailto:dqydj272@yahoo.com">dqydj272@yahoo.com</a>. </p>
      <p>Please complete ALL of the following items. Do not omit any answers as each question is required for a successful registration. Incomplete registrations will not be accepted.      </p>
      <p>
          <a name="SubmissionForm"></a>

<table class="register">
                <tbody>
                    <tr>
                        <td colspan="2">
                            <div id="Message" runat="server"></div>
                        </td>
                    </tr>
                    <tr class="header">
                        <td colspan="2">
                            <h2>Registration Form</h2>
                        </td>
                    </tr>
                    <tr>
                        <th colspan="2">Please enter your full name - First and Last</th>
                    </tr>
                    <tr>
                        <td style="width: 320px;"><asp:TextBox ID="TxtFirstName" runat="server" placeholder="First Name" CssClass="required" />
                            <hr style="border: 0px; height: .0em;" />
                            <asp:TextBox ID="TxtLastName" runat="server" placeholder="Last Name" />
                        </td>
                        <td><asp:RequiredFieldValidator ID="RqdFirstName" runat="server" Display="Dynamic" ErrorMessage="First Name is required" ControlToValidate="TxtFirstName" SetFocusOnError="true" ForeColor="Red"></asp:RequiredFieldValidator>
                            <br />
                            <asp:RequiredFieldValidator ID="RqdLastName" runat="server" Display="Dynamic" ErrorMessage="Last Name is required" ControlToValidate="TxtLastName" SetFocusOnError="true" ForeColor="Red"></asp:RequiredFieldValidator>
                        </td>
                    </tr>

                    <tr>
                        <th colspan="2">Please enter your name - First and Last - as you wish it to appear on a name badge and certificate.</th>
                    </tr><tr>
                      <td height="31" style="width: 320px;">
                        <asp:TextBox ID="TxtBadge" runat="server" placeholder="Badge Name" CssClass="required" /></td>
                      <td>
                        <asp:RequiredFieldValidator ID="RqdBadge" runat="server" Display="Dynamic" ErrorMessage="Badge Name is required" ControlToValidate="TxtBadge" SetFocusOnError="true" ForeColor="Red"></asp:RequiredFieldValidator></td>
                    </tr>

                    <tr>
                        <th colspan="2">Please provide your personal school email address. </th>
                  </tr>
                    <tr>
                        <td>
                            <asp:TextBox ID="TxtEmailAddress" runat="server" placeholder="Email Address" Width="250" /></td>
                        <td>
                            <asp:RequiredFieldValidator ID="RqdEmailAddress" runat="server" Display="Dynamic" ErrorMessage="Email is required" ControlToValidate="TxtEmailAddress" SetFocusOnError="true" ForeColor="Red"></asp:RequiredFieldValidator>
                            <br />
                            <asp:RegularExpressionValidator ID="RegEmailAddress" runat="server" ControlToValidate="TxtEmailAddress" Display="Dynamic" ErrorMessage="Not a valid Email Address" SetFocusOnError="True" ValidationExpression="^([a-zA-Z0-9]+([\.+_-][a-zA-Z0-9]+)*)@(([a-zA-Z0-9]+((\.|[-]{1,2})[a-zA-Z0-9]+)*)\.[a-zA-Z]{2,6})$" ForeColor="Red"></asp:RegularExpressionValidator>
                        </td>
                    </tr>

                    <tr>
                        <th colspan="2">What is your daytime phone number (the best number at which to reach you)? </th>
                    </tr>
                    <tr>
                        <td>
                            <asp:TextBox ID="TxtPhoneNumber" runat="server" placeholder="Phone Number" /></td>
                        <td>
                            <asp:RequiredFieldValidator ID="RqdPhoneNumber" runat="server" Display="Dynamic" ErrorMessage="Phone Number is required" ControlToValidate="TxtPhoneNumber" SetFocusOnError="true" ForeColor="Red"></asp:RequiredFieldValidator>
                            <br />
                            <asp:RegularExpressionValidator ID="RegPhoneNumber" runat="server" ControlToValidate="TxtPhoneNumber" Display="Dynamic" ErrorMessage="Not a valid Phone Number" SetFocusOnError="True" ValidationExpression="^\s*(?:\+?(\d{1,3}))?[-. (]*(\d{3})[-. )]*(\d{3})[-. ]*(\d{4})(?: *x(\d+))?\s*$" ForeColor="Red"></asp:RegularExpressionValidator>
                        </td>
                    </tr>

                    <tr>
                        <th colspan="2">What is your mailing address? (Civic Address, Municipality Name, Province or Territory and Postal Code) </th>
                    </tr>
                    <tr>
                        <td>
                            <asp:TextBox ID="TxtAddress" runat="server" placeholder="Address" Width="300" />
                            <hr style="border: 0px; height: .0em;" />
                            <asp:TextBox ID="TxtCity" runat="server" placeholder="City" />
                            <hr style="border: 0px; height: .0em;" />
                            <asp:TextBox ID="TxtState" runat="server" placeholder="State" />
                            <hr style="border: 0px; height: .0em;" />
                            <asp:TextBox ID="TxtZip" runat="server" placeholder="Zip" />
                        </td>
                        <td>
                            <asp:RequiredFieldValidator ID="RqdAddress" runat="server" Display="Dynamic" ErrorMessage="Address is required" ControlToValidate="TxtAddress" SetFocusOnError="true" ForeColor="Red"></asp:RequiredFieldValidator>
                            <br />
                            <asp:RequiredFieldValidator ID="RqdCity" runat="server" Display="Dynamic" ErrorMessage="City is required" ControlToValidate="TxtCity" SetFocusOnError="true" ForeColor="Red"></asp:RequiredFieldValidator>
                            <br />
                            <asp:RequiredFieldValidator ID="RqdState" runat="server" Display="Dynamic" ErrorMessage="State is required" ControlToValidate="TxtState" SetFocusOnError="true" ForeColor="Red"></asp:RequiredFieldValidator>
                            <br />
                            <asp:RequiredFieldValidator ID="RqdZip" runat="server" Display="Dynamic" ErrorMessage="ZIP is required" ControlToValidate="TxtZip" SetFocusOnError="true" ForeColor="Red"></asp:RequiredFieldValidator>
                            <br />
                            <asp:RegularExpressionValidator ID="RegZIPCode" runat="server" ControlToValidate="TxtZip" Display="Dynamic" ErrorMessage="Not a valid Zip Code" SetFocusOnError="True" ValidationExpression="^([ABCEGHJKLMNPRSTVXY]\d[ABCEGHJKLMNPRSTVWXYZ])\ {0,1}(\d[ABCEGHJKLMNPRSTVWXYZ]\d)$" ForeColor="Red"></asp:RegularExpressionValidator>
                        </td>
                    </tr>

                    <tr>
                        <th colspan="2">What is your country of citizenship? </th>
                    </tr>
                    <tr>
                        <td>
                            <asp:TextBox ID="TxtCitizenship" runat="server" placeholder="Citizenship" Width="250" />
                        </td>
                        <td>
                            <asp:RequiredFieldValidator ID="RqdCitizenship" runat="server" Display="Dynamic" ErrorMessage="Citizenship is required" ControlToValidate="TxtCitizenship" SetFocusOnError="true" ForeColor="Red"></asp:RequiredFieldValidator>
                        </td>
                    </tr>

                    <tr>
                        <th colspan="2">What is the name of your college/university? </th>
                    </tr>
                    <tr>
                        <td>
                            <asp:TextBox ID="TxtUniversity" runat="server" placeholder="College/University" Width="350" /></td>
                        <td>
                            <asp:RequiredFieldValidator ID="RqdUniversity" runat="server" Display="Dynamic" ErrorMessage="College/University is required" ControlToValidate="TxtUniversity" SetFocusOnError="true" ForeColor="Red"></asp:RequiredFieldValidator>
                        </td>
                    </tr>

                    <tr>
                        <td colspan="2">
                            <asp:CheckBox ID="ChkSkills" runat="server" Font-Bold="true" Text="I understand the pre-requisite skills and course work (as cited on the flyer and above) and I agree that I have the skill sets and experience required to participate in this Competition. If you are in agreement with this statement, please select the checkbox." /></td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <asp:CustomValidator ID="CusSkills" ClientValidationFunction="AcceptTermsCheckBoxValidation" runat="server"
                                ErrorMessage="Please Accept the above Terms Of Use." Display="Dynamic" ForeColor="Red" />
                        </td>
                    </tr>

                    <tr style="display:none;">
                        <td colspan="2">
                            <asp:CheckBox ID="ChkGovernmentExportRegulation" runat="server" Checked="true"  Font-Bold="true" Text="I understand that in the course of this workshop and competitive challenge that I may be given access to or possession of software and/or hardware subject to US export controls. Under such controls, Juniper Networks may not without first obtaining an export license give such access to anyone who is a citizen of any of the following countries: Cuba, Iran, North Korea, Sudan, and Syria. I certify that I am not a citizen of any such country. I also commit not to re-export any software or hardware to which Juniper may give me access without export license issued by the U.S. Government or qualification under a license exception provided in the US Export Administration Regulations. I agree that I am in compliance with U.S. Government export regulations as stated above. " />
                        </td>
                    </tr>
                    <tr style="display:none;">
                        <td colspan="2">
                            <asp:CustomValidator ID="CusGovernmentExportRegulation" ClientValidationFunction="AcceptTermsCheckBoxValidation" runat="server"
                                ErrorMessage="Please Accept the above Terms Of Use." Display="Dynamic" ForeColor="Red" />
                        </td>
                    </tr>

                    <tr>
                        <td colspan="2">
                            <asp:CheckBox ID="ChkImageRelease" runat="server" Font-Bold="true" Text="I understand that Juniper Networks, Inc. will require me to sign an Image Release Form which, among other things, gives Juniper Networks the rights to use of my image in photos, videos, press releases and other media. I also understand that an official Image Release Form will be given to me prior to the beginning of the Competition for my signature, and I will be required to sign the form in order to participate." />
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <asp:CustomValidator ID="CusImageRelease" ClientValidationFunction="AcceptTermsCheckBoxValidation" runat="server"
                                ErrorMessage="Please Accept the above Terms Of Use." Display="Dynamic" ForeColor="Red" />
                        </td>
                    </tr>

                    <tr class="header">
                        <td colspan="2">
                            <h2>Credit Card Details</h2>
                        </td>
                    </tr>
                    <tr>
                        <th colspan="2">Card Type</th>
                    </tr>
                    <tr>
                        <td>
                            <asp:DropDownList ID="DdlCardType" runat="server">
                                <asp:ListItem>Visa</asp:ListItem>
                                <asp:ListItem>MasterCard</asp:ListItem>
                                <asp:ListItem>American Express</asp:ListItem>
                            </asp:DropDownList>
                        </td>
                        <td></td>
                    </tr>
                    <tr>
                        <th colspan="2">Please enter the type and number of your credit card. NOTE:  This information will ONLY be used (that is, the credit card will  only be charged) if do not complete the workshop.  </th>
                    </tr>
                    <tr>
                        <td>
                            <asp:TextBox ID="TxtCreditCardNumber" runat="server" placeholder="Credit Card Number" Width="250" />
                        </td>
                        <td>
                            <asp:RequiredFieldValidator ID="RqdCreditCardNumber" runat="server" Display="Dynamic" ErrorMessage="Please enter Credit Card Number" ControlToValidate="TxtCreditCardNumber" SetFocusOnError="true" ForeColor="Red"></asp:RequiredFieldValidator>
                            <br />
                            <asp:RegularExpressionValidator ID="RglCreditCardNuber" runat="server" ControlToValidate="TxtCreditCardNumber" Display="Dynamic" ErrorMessage="Not a valid Credit Card Number" SetFocusOnError="True" ValidationExpression="^(?:4[0-9]{12}(?:[0-9]{3})?|5[1-5][0-9]{14}|6(?:011|5[0-9][0-9])[0-9]{12}|3[47][0-9]{13}|3(?:0[0-5]|[68][0-9])[0-9]{11}|(?:2131|1800|35\d{3})\d{11})$" ForeColor="Red"></asp:RegularExpressionValidator>
                        </td>
                    </tr>

                    <tr>
                        <th colspan="2">Please enter your name as it appears on your credit card. </th>
                    </tr>
                    <tr>
                        <td>
                            <asp:TextBox ID="TxtCreditCardName" runat="server" placeholder="Credit Card Name" Width="250" /></td>
                        <td>
                            <asp:RequiredFieldValidator ID="RqdCreditCardName" runat="server" Display="Dynamic" ErrorMessage="Please enter Name as it appears on Credit Card" ControlToValidate="TxtCreditCardName" SetFocusOnError="true" ForeColor="Red"></asp:RequiredFieldValidator>
                        </td>
                    </tr>

                    <tr>
                        <th colspan="2">Please enter the CSV code on your credit card (3 or 4 digit code). </th>
                    </tr>
                    <tr>
                        <td>
                            <asp:TextBox ID="TxtCreditCardCSV" runat="server" placeholder="Credit Card CSV" /></td>
                        <td>
                            <asp:RequiredFieldValidator ID="RqdCreditCardCSV" runat="server" Display="Dynamic" ErrorMessage="Please enter CSV Number" ControlToValidate="TxtCreditCardCSV" SetFocusOnError="true" ForeColor="Red"></asp:RequiredFieldValidator>
                            <br />
                            <asp:RegularExpressionValidator ID="RegCreditCardCVV" runat="server" ControlToValidate="TxtCreditCardCSV" Display="Dynamic" ErrorMessage="Not a valid Credit Card Number CVV Number" SetFocusOnError="True" ValidationExpression="^[0-9]{3,4}$" ForeColor="Red"></asp:RegularExpressionValidator>
                        </td>
                    </tr>

                    <tr>
                        <th colspan="2">Please enter the expiration date of your credit card (ex: month/year)</th>
                    </tr>
                    <tr>
                        <td>
                            <asp:DropDownList ID="DdlCreditCardMonth" runat="server" />
                            <asp:DropDownList ID="DdlCreditCardYear" runat="server" />
                        </td>
                        <td></td>
                    </tr>

                    <tr class="header">
                        <td colspan="2">
                            <h2>Other Participant Details</h2>
                        </td>

                    </tr>

                    <tr>
                        <th colspan="2">You must be a member of a 3 person team to participate. Please enter the names of your other 2 team members (ex: First and Last, First and Last) </th>
                    </tr>
                    <tr>
                        <td>
                            <asp:TextBox ID="TxtParticipate1FirstName" runat="server" placeholder="Participant 2 First Name" Width="250" />
                            <hr style="border: 0px; height: .0em;" />
                            <asp:TextBox ID="TxtParticipate1LastName" runat="server" placeholder="Participant 2 Last Name" Width="250" />
                        </td>
                        <td><asp:RequiredFieldValidator ID="RqdParticipateFirstName" runat="server" Display="Dynamic" ErrorMessage="Enter Participant 2 First Name" ControlToValidate="TxtParticipate1FirstName" setfocusonerror="true" ForeColor="Red"></asp:RequiredFieldValidator>
                        <br />
                            <asp:RequiredFieldValidator ID="RqdParticipate1LastName" runat="server" Display="Dynamic" ErrorMessage="Enter Participant 2 Last Name" ControlToValidate="TxtParticipate1LastName" SetFocusOnError="true" ForeColor="Red"></asp:RequiredFieldValidator>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:TextBox ID="TxtParticipate2FirstName" runat="server" placeholder="Participant 3 First Name" Width="250" />
                            <hr style="border: 0px; height: .0em;" />
                            <asp:TextBox ID="TxtParticipate2LastName" runat="server" placeholder="Participant 3 Last Name" Width="250" />
                        </td>
                        <td>
                            <asp:RequiredFieldValidator ID="RqdParticipate2FirstName" runat="server" Display="Dynamic" ErrorMessage="Enter Participant 3 First Name" ControlToValidate="TxtParticipate2FirstName" SetFocusOnError="true" ForeColor="Red"></asp:RequiredFieldValidator>
                            <br />
                            <asp:RequiredFieldValidator ID="RqdParticipate2LastName" runat="server" Display="Dynamic" ErrorMessage="Enter Participant 3 Last Name" ControlToValidate="TxtParticipate2LastName" SetFocusOnError="true" ForeColor="Red"></asp:RequiredFieldValidator>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <asp:Button ID="BtnSubmit" runat="server" Text="Submit" CssClass="btn btn-primary btn-lg" OnClick="BtnSubmit_Click" />
                        </td>
                    </tr>
                </tbody>
      </table>
        </p>
</blockquote>
    <script type="text/javascript">
        function AcceptTermsCheckBoxValidation(oSrouce, args) {
            var chkControlId = oSrouce.id.replace("Cus", "Chk");
            var options = document.getElementById(chkControlId);
            var ischecked = false;
            args.IsValid = false;

            if (options.type == "checkbox") {
                if (options.checked) {
                    ischecked = true;
                    args.IsValid = true;
                }
            }
        }
    </script>
</asp:Content>
