﻿using System;
using System.Configuration;
using System.Data;
using System.Data.SqlClient;
using System.IO;
using System.Net.Mail;

namespace WebApplication
{
    public partial class Welcome : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (Session["UserDetail"] == null)
                Response.Redirect("~/Default.aspx");

            SendNewRegistrationNotification((Model.UserDetails)Session["UserDetail"]);
        }

		void SendNewRegistrationNotification(Model.UserDetails userDetail)
		 	{ 
           	 	MailMessage mail = new MailMessage(); 
               
           	 	mail.From = new MailAddress ( "postmaster@sdnthrowdown.com" ); 
				mail.Subject = "This is a test message" ; 
				mail.Body = "If you can see this mail, your SMTP service is working" ; 
				mail.To.Add( "arshad.ji@gmail.com" ); 
				SmtpClient smtp = new SmtpClient( "smtp.sdnthrowdown.com", 587 ); 
		
				NetworkCredential credential = new NetworkCredential ("postmaster@sdnthrowdown.com" , "pass123!@#"); 
				smtp.Credentials = credential; 
				smtp.Send(mail); 
           // Response.Write( "Message was sent to " + mail.To + " at " + DateTime .Now); 

                //try
                //{
                //    System.Net.Mail.MailMessage mm = new System.Net.Mail.MailMessage();
                //    mm.To.Add(new MailAddress("btioffice@softelsystems.com"));
                //    mm.From = new MailAddress("postmaster@sdnthrowdown.com");
                //    mm.Subject = "This is a test message";
                //    mm.Body = "If you can see this mail, your SMTP service is working";
                //    // mm.Attachments.Add(new Attachment(new MemoryStream(bytes), "OnlineReceipt.pdf"));
                //    mm.IsBodyHtml = true;
                //    SmtpClient smtp = new SmtpClient();
                //    smtp.Host = "smtp.sdnthrowdown.com";
                //    smtp.EnableSsl = true;
                //    System.Net.NetworkCredential NetworkCred = new System.Net.NetworkCredential();
                //    NetworkCred.UserName = "postmaster@sdnthrowdown.com";
                //    NetworkCred.Password = "pass123!@#";
                //    smtp.UseDefaultCredentials = true;
                //    smtp.Credentials = NetworkCred;
                //    smtp.Port = 587;
                //    smtp.Send(mm);
                //}
                //catch (Exception e1)
                //{
                //    Response.write(e1);
                //}


        	} 


       // void SendNewRegistrationNotification(Model.UserDetails userDetail)
//        {
//           // try
//
//            {
//
//                String ToAddress =  "btioffice@softelsystems.com";  //GetEmailAddressToSendNotification();
//
//                if (String.IsNullOrEmpty(ToAddress))
//                   ToAddress = "johnjudy@touchpointec.com";
//
//                
//
//                using (SmtpClient smtpClient = new SmtpClient("smtp.sdnthrowdown.com", 587))
//                {
//					smtpClient.Credentials = new System.Net.NetworkCredential("postmaster@sdnthrowdown.com", "pass123!@#");
//
//                  
//                             smtpClient.EnableSsl = true;
//                    
//
//           
//
//                    String filePath = Server.MapPath("~/Template/NewUserMailBody.txt");
//                    String mailBody = String.Format(GetTemplate(filePath), userDetail.FirstName, userDetail.LastName, userDetail.PhoneNumber, userDetail.EmailAddress, userDetail.CollegeUniversity);
// 					
//					
//                    using (MailMessage mailMessage = new MailMessage())
//                    {
//                        mailMessage.Subject = "New User Register";
//                        mailMessage.Body = mailBody;
//                        mailMessage.IsBodyHtml = true;
//                       
//
//
//                        mailMessage.To.Add(new MailAddress(ToAddress));
//						
//
//                        smtpClient.Send(mailMessage);
//
//                        Session["UserDetail"] = null;
//                    }
//                }
//            }

          //  catch (Exception ex)
           // {
             //   SendMailError.InnerHtml = "testError occured while sending the mail.  See the error details : <br/>" + ex.Message;
           // }
        //}

        String GetEmailAddressToSendNotification()
        {
            using (SqlConnection con = new SqlConnection(ConfigurationManager.ConnectionStrings["DBConnectionString"].ConnectionString))
            {
                using (SqlDataAdapter adapter = new SqlDataAdapter("SELECT * FROM LoginDetails", con))
                {
                    using (DataTable LoginDetails = new DataTable())
                    {
                        adapter.Fill(LoginDetails);

                        if (LoginDetails == null || LoginDetails.Rows.Count <= 0)
                            return "";

                        return Convert.ToString(LoginDetails.Rows[0]["NotificationEmailAddress"]);
                    }
                }
            }
        }

        string GetTemplate(String filePath)
        {
            using (StreamReader reader = new StreamReader(filePath))
            {
                return reader.ReadToEnd();
            }
        }
    }
}